Subject: [Fot] Nomination

From: Yellow04 <[email-masked]>
Date: Sun, 21 Aug 2016 06:18:04 -0400

I was surprised to find out this guy was not already amongst our ranks, but during a phone call this week I realized he slipped through the cracks somehow. I am pleased to nominate Cricket, the talented wrench who supports Kastner Cup winner Randy Williams. 

Anybody who has seen Welk Vintage in action knows Randy and Cricket are a force to be reckoned with on track, usually bringing a beautiful TR3 and an E-Type to the track. The cars are always beautiful and very well prepared, a testament to Cricket's abilities and passion. As a bonus, if anybody has any questions about roundy-round stock car racing, he's done that as both a driver and mechanic, Cricket would be your go-to guy!

Can I have a second please?

[email-masked]

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive